commit ff99c49a8086a7c6e8a44dadbfbf9309adb1f5d8
Author: freddy77 <freddy77>
Date:   Wed Dec 10 14:56:26 2008 +0000

    declare tds_g_append_mode and STD_DATETIME_FMT in tds.h

diff --git a/ChangeLog b/ChangeLog
index 5f3705b..5dac0cb 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+Wed Dec 10 15:55:30 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/tds.h src/apps/tsql.c src/ctlib/cs.c:
+	* src/ctlib/unittests/common.c src/dblib/dblib.c src/tds/config.c:
+	* src/tds/unittests/convert.c:
+	- declare tds_g_append_mode and STD_DATETIME_FMT in tds.h
+
 Tue Dec 09 10:38:07 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* include/hmac_md5.h include/tds.h include/tdsconvert.h:
 	* src/tds/tds_checks.h:
@@ -1011,4 +1017,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2671 2008/12/09 09:39:13 freddy77 Exp $
+$Id: ChangeLog,v 1.2672 2008/12/10 14:56:26 freddy77 Exp $
diff --git a/include/tds.h b/include/tds.h
index 79b3d29..b16c057 100644
--- a/include/tds.h
+++ b/include/tds.h
@@ -20,7 +20,7 @@
 #ifndef _tds_h_
 #define _tds_h_
 
-/* $Id: tds.h,v 1.300 2008/12/09 09:39:14 freddy77 Exp $ */
+/* $Id: tds.h,v 1.301 2008/12/10 14:56:26 freddy77 Exp $ */
 
 #include <stdarg.h>
 #include <stdio.h>
@@ -1392,6 +1392,7 @@ void tds_fix_connection(TDSCONNECTION * connection);
 void tds_config_verstr(const char *tdsver, TDSCONNECTION * connection);
 void tds_lookup_host(const char *servername, char *ip);
 int tds_set_interfaces_file_loc(const char *interfloc);
+extern const char STD_DATETIME_FMT[];
 
 TDSLOCALE *tds_get_locale(void);
 int tds_alloc_row(TDSRESULTINFO * res_info);
@@ -1556,6 +1557,7 @@ void tdsdump_log(const char* file, unsigned int level_line, const char *fmt, ...
 #endif
 ;
 extern int tds_debug_flags;
+extern int tds_g_append_mode;
 
 /* net.c */
 int tds_open_socket(TDSSOCKET * tds, const char *ip_addr, unsigned int port, int timeout);
diff --git a/src/apps/tsql.c b/src/apps/tsql.c
index ab3594d..5914c97 100644
--- a/src/apps/tsql.c
+++ b/src/apps/tsql.c
@@ -85,7 +85,7 @@
 #include "tdsconvert.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: tsql.c,v 1.121 2008/08/18 13:31:27 freddy77 Exp $");
+TDS_RCSID(var, "$Id: tsql.c,v 1.122 2008/12/10 14:56:26 freddy77 Exp $");
 
 #define TDS_ISSPACE(c) isspace((unsigned char) (c))
 
@@ -602,8 +602,6 @@ print_instance_data(TDSCONNECTION *connection)
 		printf("connecting to instance %s on port %d\n", tds_dstr_cstr(&connection->instance_name), connection->port);
 }
 
-extern const char STD_DATETIME_FMT[];
-
 int
 main(int argc, char **argv)
 {
diff --git a/src/ctlib/cs.c b/src/ctlib/cs.c
index fd5fa07..fd99aae 100644
--- a/src/ctlib/cs.c
+++ b/src/ctlib/cs.c
@@ -50,7 +50,7 @@
 #include "tdsconvert.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: cs.c,v 1.68 2008/12/03 08:37:11 freddy77 Exp $");
+TDS_RCSID(var, "$Id: cs.c,v 1.69 2008/12/10 14:56:26 freddy77 Exp $");
 
 static int _cs_datatype_length(int dtype);
 static CS_INT cs_diag_storemsg(CS_CONTEXT *context, CS_CLIENTMSG *message);
@@ -338,8 +338,6 @@ Cleanup:
 	return NULL;
 }
 
-extern const char STD_DATETIME_FMT[];
-
 CS_RETCODE
 cs_ctx_alloc(CS_INT version, CS_CONTEXT ** ctx)
 {
diff --git a/src/ctlib/unittests/common.c b/src/ctlib/unittests/common.c
index 2b917e2..8139c04 100644
--- a/src/ctlib/unittests/common.c
+++ b/src/ctlib/unittests/common.c
@@ -24,7 +24,7 @@
 #include "common.h"
 #include "ctlib.h"
 
-static char software_version[] = "$Id: common.c,v 1.20 2008/09/09 14:48:03 freddy77 Exp $";
+static char software_version[] = "$Id: common.c,v 1.21 2008/12/10 14:56:26 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 char USER[512];
@@ -176,8 +176,6 @@ establish_login(int argc, char **argv)
 	return (*USER && *SERVER && *DATABASE)? CS_SUCCEED : CS_FAIL;
 }
 
-extern const char STD_DATETIME_FMT[];
-
 CS_RETCODE
 try_ctlogin_with_options(int argc, char **argv, CS_CONTEXT ** ctx, CS_CONNECTION ** conn, CS_COMMAND ** cmd, int verbose)
 {
diff --git a/src/dblib/dblib.c b/src/dblib/dblib.c
index 655f28a..3727a30 100644
--- a/src/dblib/dblib.c
+++ b/src/dblib/dblib.c
@@ -76,7 +76,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: dblib.c,v 1.332 2008/12/03 08:37:11 freddy77 Exp $");
+TDS_RCSID(var, "$Id: dblib.c,v 1.333 2008/12/10 14:56:26 freddy77 Exp $");
 
 static RETCODE _dbresults(DBPROCESS * dbproc);
 static int _db_get_server_type(int bindtype);
@@ -3228,7 +3228,6 @@ dbspr1row(DBPROCESS * dbproc, char *buffer, DBINT buf_len)
 	return SUCCEED;
 }
 
-extern const char STD_DATETIME_FMT[];
 /**
  * \ingroup dblib_core
  * \brief Print a result set to stdout. 
diff --git a/src/tds/config.c b/src/tds/config.c
index 3b8f6e7..220c253 100644
--- a/src/tds/config.c
+++ b/src/tds/config.c
@@ -76,7 +76,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: config.c,v 1.137 2008/09/12 15:12:23 freddy77 Exp $");
+TDS_RCSID(var, "$Id: config.c,v 1.138 2008/12/10 14:56:27 freddy77 Exp $");
 
 static void tds_config_login(TDSCONNECTION * connection, TDSLOGIN * login);
 static void tds_config_env_tdsdump(TDSCONNECTION * connection);
@@ -90,8 +90,6 @@ static int parse_server_name_for_port(TDSCONNECTION * connection, TDSLOGIN * log
 static int tds_lookup_port(const char *portname);
 static void tds_config_encryption(const char * value, TDSCONNECTION * connection);
 
-extern int tds_g_append_mode;
-
 static char *interf_file = NULL;
 
 #define TDS_ISSPACE(c) isspace((unsigned char ) (c))
diff --git a/src/tds/unittests/convert.c b/src/tds/unittests/convert.c
index f20d43f..70d28c3 100644
--- a/src/tds/unittests/convert.c
+++ b/src/tds/unittests/convert.c
@@ -32,7 +32,7 @@
 #include <sys/time.h>
 #endif
 
-static char software_version[] = "$Id: convert.c,v 1.23 2007/12/23 21:12:02 jklowden Exp $";
+static char software_version[] = "$Id: convert.c,v 1.24 2008/12/10 14:56:27 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int g_result = 0;
@@ -50,8 +50,6 @@ free_convert(int type, CONV_RESULT *cr)
 	}
 }
 
-extern const char STD_DATETIME_FMT[];
-
 int
 main(int argc, char **argv)
 {

